# @billogram/foundation-tooltip

> A React tooltip component

## Install

```
yarn add @billogram/foundation-tooltip
```

## Usage

```tsx
import {
    FoundationTooltip
} from '@billogram/foundation-tooltip';
```

See [types](src/types.ts) for exported types.

### [`FoundationTooltip`](src/FoundationTooltip.tsx)

```tsx
<FoundationTooltip
    text="This is my tooltip!">
    <div>Hover Me</div>
</FoundationTooltip>
```

## Note

This library is being published with our use cases in mind and is not necessarily meant to be consumed by the broader public. We probably won't take your feature requests unless they align with our own needs.

## License

MIT
