import React from 'react';
export interface Props {
    children: React.ReactNode;
    tetherTo: string;
    text: React.ReactNode;
}
declare class FoundationTooltip extends React.Component<Props> {
    child: HTMLElement | null;
    contentEl: HTMLElement | null;
    el: HTMLDivElement | null;
    static defaultProps: {
        children: null;
        tetherTo: string;
        text: string;
    };
    constructor(props: Props);
    componentDidMount(): void;
    componentWillUnmount(): void;
    onMouseOver: (evt: MouseEvent) => void;
    onMouseMove: (evt: MouseEvent) => void;
    onMouseOut: () => void;
    renderTooltip: (x: number, y: number) => React.ReactNode;
    renderTooltipWrapper: () => React.ReactNode;
    render(): React.ReactNode;
}
export default FoundationTooltip;
