import React from 'react';
import purebem from 'purebem';
import './FoundationTooltipContent.scss';
export default function FoundationTooltipContent(_ref) {
  var left = _ref.left,
      text = _ref.text,
      top = _ref.top;
  var block = purebem('foundation-tooltip-content');
  var tooltipRef = React.useRef(null);
  React.useEffect(function () {
    var tooltip = tooltipRef.current;

    if (tooltip !== null) {
      tooltip.style.left = "".concat(left, "px");
      tooltip.style.top = "".concat(top - tooltip.offsetHeight, "px");
    }
  }, [left, top]);
  return /*#__PURE__*/React.createElement("div", {
    className: block(),
    ref: tooltipRef
  }, text);
}
//# sourceMappingURL=FoundationTooltipContent.js.map